curl --request GET \
--url https://api.cadanapay.com/v1/users/{userId}/virtual-accounts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3f70be8e-426f-4e89-b883-9c97a1c334d5",
"status": "Requested",
"currency": "USD",
"createdTimestamp": 1755693297,
"lastUpdatedTimestamp": 1755693297
}
],
"node": {
"previous": null,
"next": null
}
}Retrieve virtual accounts for a user
curl --request GET \
--url https://api.cadanapay.com/v1/users/{userId}/virtual-accounts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3f70be8e-426f-4e89-b883-9c97a1c334d5",
"status": "Requested",
"currency": "USD",
"createdTimestamp": 1755693297,
"lastUpdatedTimestamp": 1755693297
}
],
"node": {
"previous": null,
"next": null
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for the user
"c06f3427-3bbe-4d70-9a54-28acda267e48"